package br.com.feltex.email;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class EmailServlet
 */
@WebServlet("/EmailServlet")
public class EmailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		doPost(request, response);
	}

	
	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {

		PrintWriter out = response.getWriter();
		try {
			Email e = new Email();
			e.setDe(request.getParameter("txtDe"));
			e.setPara(request.getParameter("txtPara"));
			e.setSenha(request.getParameter("txtSenha"));
			e.setTitulo(request.getParameter("txtTitulo"));
			e.setCorpo(request.getParameter("txtCorpo"));

			EnviaEmail envio = new EnviaEmail();
			envio.enviar(e);
			
			out.append("<H1>Mensagem enviado com Sucesso! </H1>");
		} catch (Exception e) {
			e.printStackTrace();			
			out.append("<H1>Erro no envio da mensagem! </H1>");			
			out.append(e.getMessage());
		}
	}
}